Subject: Re: bug#17170: 24.3.50; debug: Terminal 3 is locked, cannot read from it

From: Nicolas Richard <[email-masked]>
Date: Sun, 22 Mar 2015 18:56:07 +0100

martin rudalics <[email-masked]> writes:
> so the window must have been the selected window when `debug' was called
> the last time and Emacs should have complained then already.

I didn't check the value of debugger-previous-window right after the
first complaint. I can try to do that, if it happens again, but since it
only happens in case of an error, my first reaction usually is to try
the command again (because I assume I made an error myself) and then
it's too late.

> Anyway.  I checked in a fix for Emacs 24.5 which should avoid this
> problem now.  If you want to try it immediately please apply:

Thanks.

-- 
Nicolas